## filo 1.1%2B2011123001.1

=== debian/control ===
Source: filo
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/filo.git
Vcs-Git: git://anonscm.debian.org/debian-med/filo.git
Homepage: https://github.com/arq5x/filo

Package: filo
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: FILe and stream Operations
 The following tools are available as part of the filo package:
 .
 groupBy – mimics the “groupBy” clause in database systems.
 .
 shuffle – randomize the order of lines in a file.
 .
 stats – computes descriptive statistic on a given column of a tab-delimited
 file or stream.
 .
 Because their name is too generic, ‘shuffle’ and ‘stats’ are relocated in
 /usr/lib/filo.
