## filo 1.1+2011020401.2

=== debian/changelog ===
filo (1.1+2011020401.2) unstable; urgency=low

  * debian/copyright:
    [09cf1810] Documented missing files, licensed under the GNU GPL version 2.
    [29eb9074] Corrected FSF postal address.

 -- Charles Plessy <plessy@debian.org>  Tue, 16 Aug 2011 07:26:19 +0900

filo (1.1+2011020401.1) UNRELEASED; urgency=low

  * Initial release (Closes: #629641)

 -- Charles Plessy <plessy@debian.org>  Fri, 12 Aug 2011 13:29:17 +0900
