=== debian/control ===
Source: filo
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>
Build-Depends: debhelper (>= 8), zlib1g-dev
Standards-Version: 3.9.2
Homepage: https://github.com/arq5x/filo
Vcs-Git: git://git.debian.org/debian-med/filo.git
Vcs-Browser: http://git.debian.org/?p=debian-med/filo.git

Package: filo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FILe and stream Operations
 The following tools are available as part of the filo package:
 .
 groupBy – mimics the “groupBy” clause in database systems.
 .
 shuffle – randomize the order of lines in a file.
 .
 stats – computes descriptive statistic on a given column of a tab-delimited
 file or stream.
 .
 Because their name is too generic, ‘shuffle’ and ‘stats’ are relocated in
 /usr/lib/filo.
