## filo 1.1+2011020401.2ubuntu1

=== debian/changelog ===
filo (1.1+2011020401.2ubuntu1) precise; urgency=low

  * Pre-Depends: dpkg (>= 1.15.6) for xz compression support.  Needed until
    after Ubuntu 12.04 LTS.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Oct 2011 14:49:51 +0100
