=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: filo
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>
 Build-Depends: debhelper (>= 8), zlib1g-dev
@@ -12,6 +13,7 @@
 
 Package: filo
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: FILe and stream Operations
  The following tools are available as part of the filo package:
