=== debian/changelog ===
filo (1.1+2011123001.1) unstable; urgency=low

  be0c1cd Enhances: bedtools
  a79310d Normalised debian/control with ‘config-model-edit’.
  9f90d4b Normalised VCS URLs.
  026039b Using Debhelper 9.
  14c9682 Normalised Debian copyright file with ‘config-model-edit’.
  7ea1656 Removed command for XZ compression as it is default now.

 -- Charles Plessy <plessy@debian.org>  Tue, 26 Nov 2013 08:39:59 +0900
