=== debian/changelog ===
filo (1.1.0-3) unstable; urgency=medium

  * Fix Mayhem-induced segfault
    Closes: #716357
  * Re-import tarball with pristine-tar

 -- Kevin Murray <spam@kdmurray.id.au>  Tue, 22 Dec 2015 00:54:45 +1100
